CATMAN(1)

NAME
catman - preformat man pages

SYNOPSIS
catman [-fLnrv] [directories ...]

DESCRIPTION
The catman utility preformats all the man pages in directories using the nroff -man command. Directories may be separated by colons instead of spaces. If no directories are specified, the contents of the MANPATH environment variable is used, or if that is not set, the default directory /usr/share/man is processed.

The options are as follows:

-f  Force all man pages to be reformatted even if the corresponding cat page is newer.

-L  Process only localized subdirectories corresponding to the locale specified in the standard environment variables.

-n  Print out what would be done instead of performing any formatting.

-r  Scan for and remove “junk” files that are neither man pages nor their corresponding formatted cat pages.

-v  Cause catman to be more verbose about what it is doing.

ENVIRONMENT

LC_ALL, LC_CTYPE, LANG
    These variables control what subdirectories will be processed if the -L option is used.

MACHINE
    If set, overrides the current machine type when searching for machine specific man page subdirectories.

MACHINE_ARCH
    If set, overrides the current architecture when searching for architecture specific man page subdirectories.

MANPATH
    Determines the set of directories to be processed if none are given on the command line.

FILES
/usr/share/man
    Default directory to process if the MANPATH environment variable is not set.

EXIT STATUS

SEE ALSO
makewhatis(1), man(1), nroff(1)

HISTORY
A previous version of the catman command appeared in FreeBSD 2.1.

AUTHORS
John Rochester